Subject: Re: checking out later commits from rolled back state

From: Vincent van Ravesteijn <[email-masked]>
Date: Tue, 01 Nov 2011 15:58:58 +0100

Op 1-11-2011 15:36, photoshop_nerd schreef:
> Hello, I a m relatively new to git, and my question pertains to moving back
> and forth through the history of my commits.
>
> Here is how I open a previous commit:
>
> 1)$ git log
>
> 2) (get sha1 hash of previous commit)
>
> 3)$ git checkout<hash of my previous commit>
>
> the problem is that once I am working with that commit, git log only shows
> the hash tags up to the time that the commit was made, but not any of the
> later commits. Is there a way to get the hash tags of my later commits when
> I am in that rolled back state?
>

If your are on branch 'master':

git log
git checkout <hash of previous commit>

then

"git log master" will show you the log from the tip of the master branch.

Vincent